Target version: Candidate for next major release   

Resolution:    

Description

Since the begin, I have configured my mercurial repos using mercurial_adapter.rb (and not configuration.yml that isn't in use on my

server): all have worked fine. But after the upgrade to 1.2.1 I have an error (see bug-in-action.png): I suppose that this error is raised

by the double-quotes over hg: if I delete the quote and hit the same command via terminal all work fine.

History

#1 - 2011-07-28 04:59 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#2 - 2011-07-28 05:01 - Toshi MARUYAMA

- Assignee deleted (Toshi MARUYAMA)

#3 - 2011-07-28 05:06 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Cant reproduce

All SCMs use same logic, such as "svn", "git".

I tested on MingW Ruby, and I don't use Bitnami.

I can't reproduce.

#4 - 2011-07-28 05:07 - Toshi MARUYAMA

- Subject changed from Repositories error after upgrading from 1.1.2 to 1.2.1 to Windows BItnami: Repositories error after upgrading from 1.1.2 to

1.2.1

#5 - 2011-07-28 05:07 - Toshi MARUYAMA

- Resolution deleted (Cant reproduce)

#6 - 2011-07-28 05:12 - Toshi MARUYAMA

Try set "hg.exe" in configuration.yml.

#7 - 2011-07-28 09:13 - pasquale [:dedalus]

Toshi MARUYAMA wrote:

Try set "hg.exe" in configuration.yml.

 I have installed the mercurial-python release for Windows and not tortoiseHg as suggest in configuration.yml... and I don't want to install tortoiseHg

into my server: another choice?

#8 - 2011-07-28 10:12 - Toshi MARUYAMA

- Status changed from Closed to Reopened

As I described at configuration.yml, "hg.cmd" does not work.

There is only Mercurial Windows installer.

https://bitbucket.org/tortoisehg/thg-winbuild/downloads

2025-05-16 1/2

https://www.redmine.org/attachments/6350
https://bitbucket.org/tortoisehg/thg-winbuild/downloads


#9 - 2011-07-29 08:57 - pasquale [:dedalus]

Toshi MARUYAMA wrote:

There is only Mercurial Windows installer.

https://bitbucket.org/tortoisehg/thg-winbuild/downloads

 I have used [1] http://mercurial.selenic.com/release/windows/mercurial-1.9.win32-py2.6.exe until redmine 1.2.1 release, and all work fine (without use

of configuration.yml);

Now, with your suggest, I have also installed [2] http://mercurial.selenic.com/release/windows/mercurial-1.9-x86.msi and repos return to work (without

use of configuration.yml but mercurial_adapter.rb): in conclusion after redmine release 1.2.1 it seems that I need to install both [1] and [2] to work with

repos.

Thanks for your attention: maybe now we can close this bug as Worksforme

#10 - 2011-07-29 10:46 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Subject changed from Windows BItnami: Repositories error after upgrading from 1.1.2 to 1.2.1 to Use *.exe (e.g. hg.exe) for SCM command on

Windows

- Target version set to 1.3.0

#11 - 2011-07-29 10:49 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#12 - 2011-08-16 07:47 - alvis lee

jruby 1.5.6 has error：

scm: error during get scm available:

scm: error during get version string:

#13 - 2011-11-12 01:21 - Toshi MARUYAMA

- Target version changed from 1.3.0 to Candidate for next major release
